Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia.utils
Class StringUtil

    java.lang.Object
      play.modules.morphia.utils.StringUtil

    public class StringUtil

extends java.lang.Object

Field Summary
`static int` | `IGNORECASE`
`static int` | `IGNORESPACE`

Constructor Summary
`StringUtil()`

Method Summary
`static boolean` | `isEmpty(java.lang.String s)`
`static boolean` | `isEqual(java.lang.String s1, java.lang.String s2)`
`static boolean` | `isEqual(java.lang.String s1, java.lang.String s2, int modifier)`
`static java.lang.String` | `join(java.lang.String separator, java.util.Collection<?> list)`
`static java.lang.String` | `join(java.lang.String separator, java.util.Collection<?> list, boolean quoted)`
`static java.lang.String` | `join(java.lang.String separator, java.lang.String... list)`
`static java.lang.String` | `join(java.lang.String separator, java.lang.String prefix, java.lang.String suffix, java.util.Collection<?> list)`
`static java.lang.String` | `join(java.lang.String separator, java.lang.String prefix, java.lang.String suffix, java.util.Collection<?> list, boolean quoted)`
`static java.lang.String` | `lowerFirstChar(java.lang.String s)`
`static void` | `main(java.lang.String[] sa)`
`static java.lang.String` | `upperFirstChar(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORECASE

    public static final int IGNORECASE

See Also:
  Constant Field Values

### IGNORESPACE

    public static final int IGNORESPACE

See Also:
  Constant Field Values

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### join

    public static java.lang.String join(java.lang.String separator,
                                        java.util.Collection<?> list)

### join

    public static java.lang.String join(java.lang.String separator,
                                        java.util.Collection<?> list,
                                        boolean quoted)

### join

    public static java.lang.String join(java.lang.String separator,
                                        java.lang.String prefix,
                                        java.lang.String suffix,
                                        java.util.Collection<?> list,
                                        boolean quoted)

### join

    public static java.lang.String join(java.lang.String separator,
                                        java.lang.String prefix,
                                        java.lang.String suffix,
                                        java.util.Collection<?> list)

### join

    public static java.lang.String join(java.lang.String separator,
                                        java.lang.String... list)

### isEmpty

    public static boolean isEmpty(java.lang.String s)

### isEqual

    public static boolean isEqual(java.lang.String s1,
                                  java.lang.String s2)

### isEqual

    public static boolean isEqual(java.lang.String s1,
                                  java.lang.String s2,
                                  int modifier)

### upperFirstChar

    public static java.lang.String upperFirstChar(java.lang.String s)

### lowerFirstChar

    public static java.lang.String lowerFirstChar(java.lang.String s)

### main

    public static void main(java.lang.String[] sa)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD